SubstructMatchCustom.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include "FMCS.h"`
`#include "Graph.h"`
`#include "MatchTable.h"`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::FMCS

## Typedefs

typedef std::vector< std::pair< FMCS::Graph::vertex_descriptor, FMCS::Graph::vertex_descriptor > > | RDKit::FMCS::match_V_t

## Functions

RDKIT_FMCS_EXPORT bool | RDKit::FMCS::SubstructMatchCustomTable (const FMCS::Graph &target, const ROMol &target_mol, const FMCS::Graph &query, const ROMol &querySrc, const MatchTable &atomMatchTable, const MatchTable &bondMatchTable, const MCSParameters *parameters=nullptr, match_V_t *match=nullptr)
RDKIT_FMCS_EXPORT bool | RDKit::FMCS::SubstructMatchCustom (const FMCS::Graph &target, const ROMol &mol, const FMCS::Graph &query, const ROMol &querySrc, MCSAtomCompareFunction atomCompare, MCSBondCompareFunction bondCompare, MCSFinalMatchCheckFunction finalCompare, const MCSAtomCompareParameters &acp, const MCSBondCompareParameters &bcp, void *user_data, match_V_t *match=nullptr)

## Variables

const unsigned int | RDKit::FMCS::NotSet = (unsigned int)-1